LargeDataObject-class {snapCGH} | R Documentation

## Large Data Object - class

### Description

A virtual class including the data classes `RGList`, `MAList` and `SegList`, all of which typically contain large quantities of numerical data in vector, matrices and data.frames.

### Methods

A `show` method is defined for objects of class `LargeDataObject` which uses `printHead` to print only the leading elements or rows of components or slots which contain large quantities of data.

### Author(s)

Gordon Smyth

### Examples

    #  see normalizeBetweenArrays

[Package snapCGH version 1.2.0 Index]